#!/bin/sh
echo 'name: semigroups
version: 0.8
id: semigroups-0.8-d5fc2123afc160078ec9d0b6161ee701

license: BSD3
copyright: Copyright (C) 2011 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: provisional
homepage: http://github.com/ekmett/semigroups/
package-url:
description: Haskell 98 semigroups
             .
             In mathematics, a semigroup is an algebraic structure consisting of a set together with an associative binary operation. A semigroup generalizes a monoid in that there might not exist an identity element. It also (originally) generalized a group (a monoid with all inverses) to a type where every element did not have to have an inverse, thus the name semigroup.
category: Algebra, Data, Data Structures, Math
author: Edward A. Kmett
exposed: True
exposed-modules: Data.Semigroup Data.List.NonEmpty Numeric.Natural
                 Numeric.Natural.Internal
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/semigroups-0.8
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/semigroups-0.8
              /usr/local/lib
hs-libraries: HSsemigroups-0.8
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.3.1.0-c683e1c476645dcbab1b168f8e5a9aeb
         containers-0.4.0.0-8781485edb2ac0db733a9f9c72e27945
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/semigroups-0.8/html/semigroups.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/semigroups-0.8/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
